From c3b4ceb78168184d210fb1d11c9565f263c449e0 Mon Sep 17 00:00:00 2001
From: Jana Librova <jcupova@redhat.com>
Date: Sep 04 2024 07:17:14 +0000
Subject: [PATCH 6/11] Fix code review


---

diff --git a/plugins/builder/taskrepos.py b/plugins/builder/taskrepos.py
index 1361062..fd80c13 100644
--- a/plugins/builder/taskrepos.py
+++ b/plugins/builder/taskrepos.py
@@ -100,7 +100,7 @@ class TaskReposTask(koji.tasks.BaseTaskHandler):
             arches.add(rpm['arch'])
         return arches
 
-    def create_pkg_list(self, rpms, repodir, build=None):
+    def create_pkg_list(self, rpms, repodir):
         remote_pi = koji.PathInfo(topdir='')
         dest_dirs = []
         pkglist = []
@@ -117,16 +117,12 @@ class TaskReposTask(koji.tasks.BaseTaskHandler):
             with open(joinpath(dest_dir, 'pkglist'), 'w') as dd:
                 for pkg in pkglist:
                     dd.write(f'{pkg}\n')
-            with open(joinpath(dest_dir, 'pkglist'), 'r') as dd:
-                for line in dd:
-                    self.logger.info('PkgLINE %s' % line)
+                    self.logger.info('PkgLINE %s' % pkg)
         return dest_dirs
 
     def create_repos(self, taskinfo):
         builds = self.session.listBuilds(taskID=taskinfo['parent'])
-        build = None
         if builds:
-            build = builds[0]
             repotype = 'official'
         else:
             repotype = 'scratch'
@@ -147,15 +143,15 @@ class TaskReposTask(koji.tasks.BaseTaskHandler):
 
         koji.ensuredir(repodir)
 
-        self.create_pkg_list(rpms, repodir, build=build)
+        self.create_pkg_list(rpms, repodir)
         rpms.append(srpm)
         for arch in self.build_arches(rpms):
             self.gen_repodata(joinpath(repodir, arch))
         for arch in self.build_arches(rpms):
             self.merge_arch_repo(arch, repodir, repodir)
-        return repodir, repodir_nvr, nvr, repotype
+        return repodir, repodir_nvr, nvr
 
-    def write_repo_file(self, task, repodir, nvr, repotype):
+    def write_repo_file(self, task, repodir, nvr):
         parent_taskinfo = self.session.getTaskInfo(task['parent'], request=True)
         if len(parent_taskinfo['request']) > 2:
             for tr in parent_taskinfo['request']:
@@ -163,9 +159,8 @@ class TaskReposTask(koji.tasks.BaseTaskHandler):
                     scratch = tr.get('scratch', False)
         else:
             scratch = False
-        rpminfo = koji.parse_NVR(nvr)
-        baseurl = joinpath(self.options.topurl, 'repos-tasks', repotype,
-                           rpminfo['name'], rpminfo['version'], rpminfo['release'])
+        baseurl = joinpath(self.options.topurl, 'repos-tasks', 'tasks', str(self.id % 10000),
+                           str(self.id))
         if 'noarch' == task["label"]:
             baseurl = '%s/noarch/' % baseurl
         else:
@@ -197,7 +192,6 @@ module_hotfixes=1
         repo_files = []
         repos = []
         repopath_part = '/'.join(repodir.split('/')[-4:])
-        uploadpath_basic = joinpath("repos-tasks", repopath_part)
         for dirpath, dirs, files in os.walk(repodir):
             relrepodir = os.path.relpath(dirpath, repodir)
             for filename in files:
@@ -208,10 +202,10 @@ module_hotfixes=1
                 localpath = '%s/%s' % (repodir, relpath)
                 reldir = os.path.dirname(relpath)
                 if reldir:
-                    uploadpath = "%s/%s" % (uploadpath_basic, reldir)
+                    uploadpath = "%s/%s" % (repopath_part, reldir)
                     fn = os.path.basename(relpath)
                 else:
-                    uploadpath = uploadpath_basic
+                    uploadpath = repopath_part
                     fn = relpath
                 self.session.uploadWrapper(localpath, uploadpath, fn)
                 repos.append([uploadpath, fn])
@@ -234,9 +228,9 @@ module_hotfixes=1
             raise koji.BuildError('%s is not a build task' % task_id_child)
         if taskinfo['state'] != 2:
             raise koji.BuildError('task %s has not completed successfully' % taskinfo['id'])
-        repodir, repodir_nvr, data['nvr'], repotype = self.create_repos(taskinfo)
+        repodir, repodir_nvr, data['nvr'] = self.create_repos(taskinfo)
         self.logger.debug('Repos for task %s created under %s' % (task_id_child, repodir))
-        data['baseurl'] = self.write_repo_file(taskinfo, repodir, data['nvr'], repotype)
+        data['baseurl'] = self.write_repo_file(taskinfo, repodir, data['nvr'])
         repo_files, repos, repopath_part = self.upload_repo(repodir)
         data['owner'] = self.session.getUser(taskinfo['owner'])['name']
         data['repo_urls'], uploadpath, data['old_repodir'] = self.session.taskRepoDone(
diff --git a/plugins/hub/taskrepos_hub.py b/plugins/hub/taskrepos_hub.py
index 33c9a72..5191ef9 100644
--- a/plugins/hub/taskrepos_hub.py
+++ b/plugins/hub/taskrepos_hub.py
@@ -6,7 +6,6 @@
 import kojihub
 import logging
 import os
-import shutil
 
 import koji
 from koji.context import context
@@ -67,7 +66,7 @@ def taskRepoDone(task_id, repos, repodir_nvr, topurl, task_link):
             koji.pathinfo.topdir, 'repos-tasks', 'tasks', str(task_id % 10000), str(task_id))
     repo_urls = recursive_walk(files_dir, repo_urls, topurl, task_link)
 
-    shutil.rmtree(joinpath(
+    koji.util.rmtree(joinpath(
         koji.pathinfo.work(), '/'.join(rp.split(str(task_id))[:1]), str(task_id)))
     return repo_urls, files_dir, old_repodir
 

